com.strongloop.android.loopback.callbacks

## Class EmptyResponseParser

- java.lang.Object
- - com.strongloop.android.loopback.callbacks.EmptyResponseParser

All Implemented Interfaces:
  Adapter.Callback

    public class EmptyResponseParser
    extends java.lang.Object
    implements Adapter.Callback

### Constructor Summary

Constructors
Constructor and Description
`EmptyResponseParser(VoidCallback callback)`

### Method Summary

Methods
`void` `onError(java.lang.Throwable t)` The method invoked when an error occurs.
`void` `onSuccess(java.lang.String response)` The method invoked when the call completes successfully.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyResponseParser

    public EmptyResponseParser(VoidCallback callback)

### Method Detail

#### onSuccess

    public void onSuccess(java.lang.String response)

Description copied from interface: `Adapter.Callback`
The method invoked when the call completes successfully.

Specified by:
  `onSuccess` in interface `Adapter.Callback`
Parameters:
  `response` - The HTTP response body.

#### onError

    public void onError(java.lang.Throwable t)

Description copied from interface: `Adapter.Callback`
The method invoked when an error occurs.

Specified by:
  `onError` in interface `Adapter.Callback`
Parameters:
  `t` - The Throwable.